// GetStrDlg.cpp : implementation file
//

#include "stdafx.h"
#include "GetStrDlg.h"


// CGetStrDlg dialog

IMPLEMENT_DYNAMIC(CGetStrDlg, CaplTranslateDialog)

CGetStrDlg::CGetStrDlg(CWnd* pParent /*=NULL*/)
	: CaplTranslateDialog(CGetStrDlg::IDD, pParent)
{

}

CGetStrDlg::~CGetStrDlg()
{
}

void CGetStrDlg::DoDataExchange(CDataExchange* pDX)
{
	CaplTranslateDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDOK, m_ok_btn);
	DDX_Control(pDX, IDCANCEL, m_cancel_btn);
	DDX_Control(pDX, IDC_ST_NAME, m_name_ctrl);
	DDX_Text(pDX, IDC_VALUE, m_sValue);
}


BEGIN_MESSAGE_MAP(CGetStrDlg, CaplTranslateDialog)
END_MESSAGE_MAP()


// CGetStrDlg message handlers

BOOL CGetStrDlg::OnInitDialog()
{
	CaplTranslateDialog::OnInitDialog();

	// TODO:  Add extra initialization here
	m_cancel_btn.SetIcon(GetAplStdIco16(APLSTDICO_CANCEL));
	m_cancel_btn.SetFlat(FALSE);
	m_ok_btn.SetIcon(GetAplStdIco16(APLSTDICO_OK));
	m_ok_btn.SetFlat(FALSE);

	m_name_ctrl.SetWindowText(m_sName);
	SetWindowText(m_sHeader);

	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}
